Home

# Class goog.fs.DirectoryEntry

A directory in a local FileSystem. This should not be instantiated directly. Instead, it should be accessed via {@link goog.fs.FileSystem#getRoot} or {@link goog.fs.DirectoryEntry#getDirectoryEntry}.

extends goog.fs.Entry

Instance Method Summary
| `createPath(string path) ⇒ !goog.async.Deferred` Opens the directory for the specified path, creating the directory and any intermediate directories as necessary.
| `getDirectory(string path, ?goog.fs.DirectoryEntry.Behavior= opt_behavior) ⇒ !goog.async.Deferred` Get a directory within this directory.
| `getFile(string path, ?goog.fs.DirectoryEntry.Behavior= opt_behavior) ⇒ !goog.async.Deferred` Get a file in the directory.
| `getOptions_(?goog.fs.DirectoryEntry.Behavior= opt_behavior) ⇒ ?Object.<boolean>` Converts a value in the Behavior enum into an options object expected by the File API.
| `listDirectory() ⇒ !goog.async.Deferred` Gets a list of all entries in this directory.
| `removeRecursively() ⇒ !goog.async.Deferred` Removes this directory and all its contents.